-- 基础信息
base_info = {
	group_id = 246202006
}

-- Trigger变量
defs = {
	center_point = 6007,
	rogue_exit = 6015
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 6015, gadget_id = 70800208, pos = { x = 17.536, y = -41.090, z = -0.008 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 6001, pos = { x = -0.053, y = -43.990, z = -0.074 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6002, pos = { x = -0.122, y = -43.990, z = -7.538 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6003, pos = { x = -0.069, y = -43.990, z = 7.438 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6004, pos = { x = -12.411, y = -43.990, z = -0.012 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6005, pos = { x = -12.481, y = -43.972, z = -7.475 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6006, pos = { x = -12.427, y = -43.990, z = 7.500 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6007, pos = { x = -7.465, y = -43.990, z = 0.010 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 6008, pos = { x = -12.432, y = -43.990, z = -0.011 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 6009, pos = { x = -0.053, y = -43.990, z = -0.074 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6010, pos = { x = -0.122, y = -43.990, z = -7.538 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6011, pos = { x = -0.069, y = -43.990, z = 7.438 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6012, pos = { x = -12.411, y = -43.990, z = -0.012 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6013, pos = { x = -12.481, y = -43.972, z = -7.475 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6014, pos = { x = -12.427, y = -43.990, z = 7.500 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_2"
